Erro na hora da compilação comando gulp | Fórum | School of Net

Deseja poder participar de nosso fórum e tirar todas as suas dúvidas?
Clique aqui e assine nosso plano de acesso ilimitado. Saiba mais.

por EDUARDO HEITOR

2 semanas, 4 dias atrás EDUARDO HEITOR

Erro na hora da compilação comando gulp

Efetuei todos os procedimentos até o comando gulp, aparentemente ocorreream alguns erros nos comandos anteriores mas não consigo seguir daqui em diante. Veja as respostas dos comandos no terminal: ``` D:\_Eduardo Agostinho\Programação\Estudos\School Of Net\Gulp> npm install --global gulp-cli C:\Users\eduar\AppData\Roaming\npm\gulp -> C:\Users\eduar\AppData\Roaming\npm\node_modules\gulp-cli\bin\gulp.js + gulp-cli@2.2.0 updated 1 package in 7.06s D:\_Eduardo Agostinho\Programação\Estudos\School Of Net\Gulp>npm install --save gulp npm WARN deprecated gulp-util@3.0.8: gulp-util is deprecated - replace it, following the guidelines at https://medium.com/gulpjs/gulp-util-ca3b1f9f9ac5 npm WARN deprecated graceful-fs@3.0.11: please upgrade to graceful-fs 4 for compatibility with current and future versions of Node.js npm WARN deprecated minimatch@2.0.10: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue npm WARN deprecated minimatch@0.2.14: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue npm WARN deprecated graceful-fs@1.2.3: please upgrade to graceful-fs 4 for compatibility with current and future versions of Node.js npm WARN deprecated natives@1.1.6: This module relies on Node.js's internals and will break at some point. Do not use it, and update to graceful-fs@4.x. npm notice created a lockfile as package-lock.json. You should commit this file. npm WARN Gulp No description npm WARN Gulp No repository field. npm WARN Gulp No license field. + gulp@3.9.1 added 252 packages from 163 contributors and audited 1128 packages in 17.786s found 6 vulnerabilities (1 low, 5 high) run `npm audit fix` to fix them, or `npm audit` for details D:\_Eduardo Agostinho\Programação\Estudos\School Of Net\Gulp>npm audit fix npm ERR! code ELOCKVERIFY npm ERR! Errors were found in your package-lock.json, run npm install to fix them. npm ERR! Missing: gulp-sass@^2.2.0 npm ERR! A complete log of this run can be found in: npm ERR! C:\Users\eduar\AppData\Roaming\npm-cache\_logs\2019-07-04T17_01_07_705Z-debug.log D:\_Eduardo Agostinho\Programação\Estudos\School Of Net\Gulp>npm install --save gulp npm WARN Gulp No description npm WARN Gulp No repository field. npm WARN Gulp No license field. npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.9 (node_modules\fsevents): npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.9: wanted {"os":"darwin","arch":"any"} (current: {"os":"win32","arch":"x64"}) + gulp@4.0.2 added 126 packages from 82 contributors, removed 64 packages, updated 24 packages and audited 6490 packages in 14.639s found 0 vulnerabilities D:\_Eduardo Agostinho\Programação\Estudos\School Of Net\Gulp>npm install node-sass gulp-sass --save-dev > node-sass@4.12.0 install D:\_Eduardo Agostinho\Programação\Estudos\School Of Net\Gulp\node_modules\node-sass > node scripts/install.js Cached binary found at C:\Users\eduar\AppData\Roaming\npm-cache\node-sass\4.12.0\win32-x64-64_binding.node > node-sass@4.12.0 postinstall D:\_Eduardo Agostinho\Programação\Estudos\School Of Net\Gulp\node_modules\node-sass > node scripts/build.js Binary found at D:\_Eduardo Agostinho\Programação\Estudos\School Of Net\Gulp\node_modules\node-sass\vendor\win32-x64-64\binding.node Testing binary Binary is fine npm notice created a lockfile as package-lock.json. You should commit this file. npm WARN Gulp No description npm WARN Gulp No repository field. npm WARN Gulp No license field. npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.9 (node_modules\fsevents): npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.9: wanted {"os":"darwin","arch":"any"} (current: {"os":"win32","arch":"x64"}) + gulp-sass@4.0.2 + node-sass@4.12.0 added 118 packages from 122 contributors and audited 7583 packages in 9.487s found 0 vulnerabilities D:\_Eduardo Agostinho\Programação\Estudos\School Of Net\Gulp>gulp assert.js:339 throw err; ^ AssertionError [ERR_ASSERTION]: Task function must be specified at Gulp.set [as _setTask] (D:\_Eduardo Agostinho\Programação\Estudos\School Of Net\Gulp\node_modules\undertaker\lib\set-task.js:10:3) at Gulp.task (D:\_Eduardo Agostinho\Programação\Estudos\School Of Net\Gulp\node_modules\undertaker\lib\task.js:13:8) at Object.<anonymous> (D:\_Eduardo Agostinho\Programação\Estudos\School Of Net\Gulp\gulpfile.js:4:6) at Module._compile (internal/modules/cjs/loader.js:776:30) at Object.Module._extensions..js (internal/modules/cjs/loader.js:787:10) at Module.load (internal/modules/cjs/loader.js:653:32) at tryModuleLoad (internal/modules/cjs/loader.js:593:12) at Function.Module._load (internal/modules/cjs/loader.js:585:3) at Module.require (internal/modules/cjs/loader.js:690:17) at require (internal/modules/cjs/helpers.js:25:18) D:\_Eduardo Agostinho\Programação\Estudos\School Of Net\Gulp> ``` Desde já agradeço a atenção.

10 Respostas